Entries
Browse and manage the filespace filesystem: list directories, resolve paths, create directories, and delete entries.
/api/v1/filespaces/{filespaceId}/entries
Create a new entry
Creates a new entry in the filespace. Currently only directory creation is supported.
Parameters
Parameter | Type | Description |
|---|---|---|
|
| Required. |
filespaceId
Type
stringDescription
Required.
Request body
Field | Type | Description |
|---|---|---|
|
| Required. Parent entry ID. |
|
| Required. Name of the entry to create. Always forbidden: - . and .. - / (path separator) Forbidden when ForbidSpecialCharacters setting is enabled (default): - Special characters: \ : * ? " < > | - Whitespace-only names - Trailing spaces - Trailing dots - Windows reserved names: CON, PRN, AUX, NUL, COM1-9, LPT1-9 |
|
| Required. Type of the entry to create. Currently only "dir" is supported. |
parentId
Type
stringDescription
Required. Parent entry ID.
name
Type
stringDescription
Required. Name of the entry to create. Always forbidden: - . and .. - / (path separator) Forbidden when ForbidSpecialCharacters setting is enabled (default): - Special characters: \ : * ? " < > | - Whitespace-only names - Trailing spaces - Trailing dots - Windows reserved names: CON, PRN, AUX, NUL, COM1-9, LPT1-9
type
Type
"dir"Description
Required. Type of the entry to create. Currently only "dir" is supported.
Responses
Status | Description |
|---|---|
| Entry has been successfully created. |
| 1. CreateEntryDto is invalid. 2. Invalid name. 3. Invalid parent entry ID. 4. Entry already exists. 5. Parent is not a directory. 6. Invalid entry name. |
| Invalid or missing credentials. |
| File system storage size limit exceeded. |
| Parent entry not found. |
201
Description
Entry has been successfully created.
400
Description
1. CreateEntryDto is invalid. 2. Invalid name. 3. Invalid parent entry ID. 4. Entry already exists. 5. Parent is not a directory. 6. Invalid entry name.
401
Description
Invalid or missing credentials.
403
Description
File system storage size limit exceeded.
404
Description
Parent entry not found.
201 response
{"data": {"id": "1234:5678","parentId": "4294967294:0","name": "report.txt","type": "file","size": 1048576,"modifiedAt": "2025-10-21T10:30:00Z","createdAt": "2025-10-20T08:00:00Z"}}
401 response
{"error": {"message": "Invalid or expired token"}}
403 response
{"error": {"message": "File system storage size limit exceeded"}}
404 response
{"error": {"message": "Parent ID does not exist"}}
/api/v1/filespaces/{filespaceId}/entries/resolve
Resolve filesystem path to entry
Returns entry information for a filesystem path within the filespace.
Parameters
Parameter | Type | Description |
|---|---|---|
|
| Required. Full path to an entry. The path of the root directory is: "/" |
|
| Required. |
path
Type
stringDescription
Required. Full path to an entry. The path of the root directory is: "/"
filespaceId
Type
stringDescription
Required.
Responses
Status | Description |
|---|---|
| Entry information has been successfully fetched. |
| Paths inside LucidLink should start with a '/' (must start with '/'). |
| Invalid or missing credentials. |
| File system entry not found. |
200
Description
Entry information has been successfully fetched.
400
Description
Paths inside LucidLink should start with a '/' (must start with '/').
401
Description
Invalid or missing credentials.
404
Description
File system entry not found.
200 response
{"data": {"id": "1234:5678","parentId": "4294967294:0","name": "report.txt","type": "file","size": 1048576,"modifiedAt": "2025-10-21T10:30:00Z","createdAt": "2025-10-20T08:00:00Z"}}
400 response
{"error": {"message": "Paths inside LucidLink should start with a '/'"}}
401 response
{"error": {"message": "Invalid or expired token"}}
404 response
{"error": {"message": "File system entry not found"}}
/api/v1/filespaces/{filespaceId}/entries/{entryId}/children
List directory children
Returns a paginated list of entries within the specified directory.
Parameters
Parameter | Type | Description |
|---|---|---|
|
| Required. |
|
| Maximum number of entries to return |
|
| Cursor for pagination |
|
| Required. |
entryId
Type
stringDescription
Required.
limit
Type
numberDescription
Maximum number of entries to return
nextCursor
Type
stringDescription
Cursor for pagination
filespaceId
Type
stringDescription
Required.
Responses
Status | Description |
|---|---|
| Directory children have been successfully fetched. |
| File system entry ID is invalid. |
| Invalid or missing credentials. |
| File system entry not found. |
200
Description
Directory children have been successfully fetched.
400
Description
File system entry ID is invalid.
401
Description
Invalid or missing credentials.
404
Description
File system entry not found.
200 response
{"data": {"entries": [{"id": "1234:5678","parentId": "1234:1234","name": "report.txt","type": "file","size": 1048576,"modifiedAt": "2025-10-21T10:30:00Z","createdAt": "2025-10-20T08:00:00Z"}],"nextCursor": "eyJwcmluY2lwYWxJZCI6ImFiYyJ9"}}
400 response
{"error": {"message": "File system entry ID is invalid"}}
401 response
{"error": {"message": "Invalid or expired token"}}
404 response
{"error": {"message": "File system entry not found"}}
/api/v1/filespaces/{filespaceId}/entries/{entryId}
Get entry by ID
Returns entry information for a filesystem entry ID within the filespace.
Parameters
Parameter | Type | Description |
|---|---|---|
|
| Required. |
|
| Required. |
entryId
Type
stringDescription
Required.
filespaceId
Type
stringDescription
Required.
Responses
Status | Description |
|---|---|
| Entry information has been successfully fetched. |
| File system entry ID is invalid. |
| Invalid or missing credentials. |
| File system entry not found. |
200
Description
Entry information has been successfully fetched.
400
Description
File system entry ID is invalid.
401
Description
Invalid or missing credentials.
404
Description
File system entry not found.
200 response
{"data": {"id": "1234:5678","parentId": "4294967294:0","name": "report.txt","type": "file","size": 1048576,"modifiedAt": "2025-10-21T10:30:00Z","createdAt": "2025-10-20T08:00:00Z"}}
400 response
{"error": {"message": "File system entry ID is invalid"}}
401 response
{"error": {"message": "Invalid or expired token"}}
404 response
{"error": {"message": "File system entry not found"}}
/api/v1/filespaces/{filespaceId}/entries/{entryId}
Delete an entry
Deletes an entry from the filespace. Currently only directory deletion is supported. Directories must be empty to be deleted.
Parameters
Parameter | Type | Description |
|---|---|---|
|
| Required. |
|
| Required. |
entryId
Type
stringDescription
Required.
filespaceId
Type
stringDescription
Required.
Responses
Status | Description |
|---|---|
| Entry has been successfully deleted. |
| 1. File system entry ID is invalid. 2. Deletion is only supported for directories. 3. Cannot delete non-empty directory. 4. Entry can not be deleted. |
| Invalid or missing credentials. |
| File system entry not found. |
200
Description
Entry has been successfully deleted.
400
Description
1. File system entry ID is invalid. 2. Deletion is only supported for directories. 3. Cannot delete non-empty directory. 4. Entry can not be deleted.
401
Description
Invalid or missing credentials.
404
Description
File system entry not found.
401 response
{"error": {"message": "Invalid or expired token"}}
404 response
{"error": {"message": "File system entry not found"}}